# Google Cloud DNS API . resourceRecordSets

## Instance Methods

Enumerate ResourceRecordSets that have been created but not yet deleted.

Retrieves the next page of results.

### Method Details

`list(project, managedZone, name=None, pageToken=None, maxResults=None, type=None)`

    Enumerate ResourceRecordSets that have been created but not yet deleted.

    Args:
      project: string, Identifies the project addressed by this request. (required)
      managedZone: string, Identifies the managed zone addressed by this request. Can be the managed zone name or id. (required)
      name: string, Restricts the list to return only records with this fully qualified domain name.
      pageToken: string, Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request.
      maxResults: integer, Optional. Maximum number of results to be returned. If unspecified, the server will decide how many results to return.
      type: string, Restricts the list to return only records of this type. If present, the "name" parameter must also be present.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your pagination token.
            #
            # In this way you can retrieve the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned will be an inconsistent view of the collection. There is no way to retrieve a consistent snapshot of a collection larger than the maximum page size.
        "header": { # Elements common to every response.
          "operationId": "A String", # For mutating operation requests that completed successfully. This is the client_operation_id if the client specified it, otherwise it is generated by the server (output only).
        },
        "kind": "dns#resourceRecordSetsListResponse", # Type of resource.
        "rrsets": [ # The resource record set resources.
          { # A unit of data that will be returned by the DNS servers.
            "rrdatas": [ # As defined in RFC 1035 (section 5) and RFC 1034 (section 3.6.1).
              "A String",
            ],
            "kind": "dns#resourceRecordSet", # Identifies what kind of resource this is. Value: the fixed string "dns#resourceRecordSet".
            "name": "A String", # For example, www.example.com.
            "ttl": 42, # Number of seconds that this ResourceRecordSet can be cached by resolvers.
            "type": "A String", # The identifier of a supported record type, for example, A, AAAA, MX, TXT, and so on.
            "signatureRrdatas": [ # As defined in RFC 4034 (section 3.2).
              "A String",
            ],
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.